## percona-postgresql-common 280

=== Makefile ===
POD2MAN=pod2man --center "Debian PostgreSQL infrastructure" -r "Debian"
POD1PROGS = pg_backupcluster.1 \
	    pg_conftool.1 \
	    pg_createcluster.1 \
	    pg_ctlcluster.1 \
	    pg_dropcluster.1 \
	    pg_getwal.1 \
	    pg_lsclusters.1 \
	    pg_renamecluster.1 \
	    pg_restorecluster.1 \
	    pg_upgradecluster.1 \
	    pg_wrapper.1
POD1PROGS_POD = pg_buildext.1 \
		pg_virtualenv.1 \
		debhelper/dh_pgxs_test.1 \
		dh_make_pgxs/dh_make_pgxs.1
POD8PROGS = pg_updatedicts.8

all: man sub-pgdg

man: $(POD1PROGS) $(POD1PROGS_POD) $(POD8PROGS)

%.1: %.pod
	$(POD2MAN) --quotes=none --section 1 $< $@

%.1: %
	$(POD2MAN) --quotes=none --section 1 $< $@

%.8: %
	$(POD2MAN) --quotes=none --section 8 $< $@

clean:
	rm -f *.1 *.8 debhelper/*.1 dh_make_pgxs/*.1

sub-pgdg:
	$(MAKE) -C pgdg

# rpm

DPKG_VERSION=$(shell sed -ne '1s/.*(//; 1s/).*//p' debian/changelog)
RPMDIR=$(CURDIR)/rpm
TARNAME=postgresql-common_$(DPKG_VERSION).tar.xz
TARBALL=$(RPMDIR)/SOURCES/$(TARNAME)

rpmbuild: $(TARBALL)
	rpmbuild -D"%_topdir $(RPMDIR)" --define='version $(DPKG_VERSION)' -ba rpm/postgresql-common.spec

$(TARBALL):
	mkdir -p $(dir $(TARBALL))
	if test -f ../$(TARNAME); then \
	    cp -v ../$(TARNAME) $(TARBALL); \
	else \
	    git archive --prefix=postgresql-common-$(DPKG_VERSION)/ HEAD | xz > $(TARBALL); \
	fi

rpminstall:
	sudo yum install -y perl-JSON
	sudo rpm --upgrade --replacefiles --replacepkgs -v $(RPMDIR)/RPMS/noarch/*-$(DPKG_VERSION)-*.rpm

rpmremove:
	-sudo rpm -e postgresql-common postgresql-client-common postgresql-server-dev-all

rpmclean:
	rm -rf $(RPMDIR)/*/

=== t/foo/foo-123/Makefile ===
MODULE_big = foo
OBJS = foo.o
EXTENSION = foo
DATA = foo--100.sql foo--100--123.sql foo--123.sql
REGRESS = foo upgrade

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

## percona-postgresql-common 210

=== debian/changelog ===
percona-postgresql-common (210) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 210

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 09 Jan 2020 09:38:08 +0000

percona-postgresql-common (210) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 09 Jan 2020 09:35:33 +0000

=== debian/control ===
Source: percona-postgresql-common
Section: database
Priority: optional
Maintainer: Percona Development Team <info@percona.com>
Build-Depends:
 debhelper (>= 9),
 debhelper (>= 10.1) | dh-systemd (>= 1.19),
 libreadline-dev,

Package: percona-postgresql-common
Architecture: all
Multi-Arch: foreign
Depends:
 adduser,
 debconf (>= 0.5.00) | debconf-2.0,
 lsb-base (>= 3.0-3),
 perl (>= 5.14),
 percona-postgresql-client-common (= ${source:Version}),
 procps,
 ssl-cert (>= 1.0.11),
 ucf,
 ${misc:Depends},
Recommends:
 e2fsprogs,
 logrotate,
Suggests:
 libjson-perl,
Breaks:
 postgresql-9.1 (<< 9.1.1-3~),
 systemd (<< 204),
# pg_buildext moved pg-s-d-all in 204
 postgresql-server-dev-all (<< 204),
 percona-postgresql-server-dev-all (<< 204),
Replaces:
 postgresql-server-dev-all (<< 204),
 percona-postgresql-server-dev-all (<< 204),
Provides:
 postgresql-common, percona-postgresql-common
Description: PostgreSQL database-cluster manager
 The postgresql-common package provides a structure under which
 multiple versions of PostgreSQL may be installed and/or multiple
 clusters maintained at one time.
 .
 The commands provided are pg_conftool, pg_createcluster, pg_ctlcluster,
 pg_dropcluster, pg_lsclusters, pg_renamecluster, pg_upgradecluster,
 pg_virtualenv.
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: percona-postgresql-client-common
Architecture: all
Multi-Arch: foreign
Depends:
 netbase,
 ${misc:Depends},
 ${pgdg:Depends},
Recommends:
 lsb-release,
 ${readline:Recommends},
Replaces: percona-postgresql-client-common, postgrsql-client-common
Provides: postgresql-client-common
Description: manager for multiple PostgreSQL client versions
 The postgresql-client-common package provides a structure under which
 multiple versions of PostgreSQL client programs may be installed at
 the same time. It provides a wrapper which selects the right version
 for the particular cluster you want to access (with a command line
 option, an environment variable, /etc/postgresql-common/user_clusters,
 or ~/.postgresqlrc).
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: percona-postgresql-server-dev-all
Architecture: all
Depends:
 make,
 percona-postgresql-common (>= 117~),
 ${misc:Depends},
 ${server-dev-all-depends},
Provides: postgresql-server-dev-all
Replaces: postgresql-server-dev-all, percona-postgresql-server-dev-all
Description: extension build tool for multiple PostgreSQL versions
 The postgresql-server-dev-all package provides the pg_buildext script for
 simplifying packaging of a PostgreSQL extension supporting multiple major
 versions of the product, and dh_make_pgxs which builds a template debian/
 source package directory based on pg_buildext.
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: percona-postgresql
Architecture: all
Depends:
 percona-postgresql-${default-version},
 ${misc:Depends},
Suggests:
 percona-postgresql-doc,
Provides: postgresql
Replaces: postgresql, percona-postgresql
Description: object-relational SQL database (supported version)
 This metapackage always depends on the currently supported PostgreSQL
 database server version.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: percona-postgresql-client
Architecture: all
Multi-Arch: foreign
Depends:
 percona-postgresql-client-${default-version},
 ${misc:Depends},
Provides: postgresql-client
Replaces: postgresql-client, percona-postgresql-client
Description: front-end programs for PostgreSQL (supported version)
 This metapackage always depends on the currently supported database
 client package for PostgreSQL.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: percona-postgresql-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 percona-postgresql-doc-${default-version},
 ${misc:Depends},
Provides: postgresql-doc
Replaces: postgresql-doc, percona-postgresql-doc
Description: documentation for the PostgreSQL database management system
 This metapackage always depends on the currently supported PostgreSQL
 database documentation package.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: percona-postgresql-contrib
Architecture: all
Depends:
 percona-postgresql-contrib-${default-version},
 ${misc:Depends},
Provides: postgresql-contrib
Replaces: postgresql-contrib, percona-postgresql-contrib
Description: additional facilities for PostgreSQL (supported version)
 This metapackage always depends on the currently supported PostgreSQL
 database contrib package.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: percona-postgresql-all
Architecture: all
Depends:
 libecpg-dev,
 libpq-dev,
 percona-postgresql-server-dev-all,
 ${postgresql-all-depends},
 ${misc:Depends},
Provides: postgresql-all
Replaces: postgresql-all, percona-postgresql-all
Description: metapackage depending on all PostgreSQL server packages
 This metapackage depends on all PostgreSQL server packages, in all
 supported versions (excluding documentation and debug symbols). It
 exists to facilitate depending on the server packages in test
 environments.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

## percona-postgresql-common 214

=== debian/changelog ===
percona-postgresql-common (214) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 214

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 04 May 2020 07:41:58 +0000

percona-postgresql-common (214) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 04 May 2020 07:39:23 +0000

## percona-postgresql-common 215

=== debian/changelog ===
percona-postgresql-common (215) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 215

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 28 May 2020 13:58:19 +0000

percona-postgresql-common (215) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 28 May 2020 13:55:53 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  lsb-base (>= 3.0-3),
  perl (>= 5.14),
  percona-postgresql-client-common (= ${source:Version}),
- procps,
  ssl-cert (>= 1.0.11),
  ucf,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
ifneq ($(findstring bpo,$(VERSION)),)
	FLAVOR := debian-backports
else ifneq ($(findstring pgdg,$(VERSION)),)
	FLAVOR := pgdg
	# for apt.postgresql.org builds, pull in the repository key package
	PGDG_DEPENDS := pgdg-keyring
else
	FLAVOR := default
endif
SUPPORTED_VERSIONS := 12
DEFAULT_VER := $(lastword $(SUPPORTED_VERSIONS))
DEFAULT_VER := 12
LIBREADLINE := $(shell dpkg-query -W --showformat '$${Status} $${Package}\n' 'libreadline[0-9]'| sed -n '/ installed / {s/^.* //; p}'|sort -ru | head -n1)

#py2#PYTHON2_PACKAGE=percona-postgresql-plpython-$v
WITH_SYSTEMD=--with systemd

%:
	dh $@ $(WITH_SYSTEMD)

override_dh_auto_configure:
	@echo "### Building percona-postgresql-common flavor $(FLAVOR)"
	@echo "### Supported PostgreSQL versions: $(SUPPORTED_VERSIONS) (default version: $(DEFAULT_VER))"

override_dh_install:
	dh_install
	$(MAKE) -C systemd install DESTDIR=$(CURDIR)/debian/percona-postgresql-common
	install -m 644 -D debian/percona-postgresql-common.sysctl debian/percona-postgresql-common/etc/sysctl.d/30-postgresql-shm.conf
	/bin/echo -e "# See /usr/share/postgresql-common/supported-versions for documentation of this file\n$(FLAVOR)" > debian/percona-postgresql-client-common/etc/postgresql-common/supported_versions

override_dh_installinit:
	dh_installinit -ppercona-postgresql-common --name=postgresql -u'defaults 19 21' -r

override_dh_gencontrol:
	dh_gencontrol -ppercona-postgresql-server-dev-all -- -Vserver-dev-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),percona-postgresql-server-dev-$v,)"

	# the versionless metapackages need to have version numbers which match
	# the server version, not the p-common version
	dh_gencontrol -ppercona-postgresql -ppercona-postgresql-client -ppercona-postgresql-doc -ppercona-postgresql-contrib -ppercona-postgresql-all -- \
		-Vdefault-version="$(DEFAULT_VER)" -v'$(DEFAULT_VER)+$${source:Version}' \
		-Vpostgresql-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),percona-postgresql-contrib-$v,percona-postgresql-plperl-$v,$(if $(filter 8.% 9.% 10 11, $v), $(PYTHON2_PACKAGE)),percona-postgresql-plpython3-$v,percona-postgresql-pltcl-$v,)"

	dh_gencontrol -ppercona-postgresql-client-common -- -Vpgdg:Depends="$(PGDG_DEPENDS)" -Vreadline:Recommends=$(LIBREADLINE)

	dh_gencontrol --remaining-packages

## percona-postgresql-common 216

=== debian/changelog ===
percona-postgresql-common (216) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 216

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 07 Sep 2020 19:01:55 +0000

percona-postgresql-common (216) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 07 Sep 2020 18:59:56 +0000

=== debian/control ===
--- 
+++ 
@@ -61,8 +61,8 @@
 Recommends:
  lsb-release,
  ${readline:Recommends},
-Replaces: percona-postgresql-client-common, postgrsql-client-common
-Provides: postgresql-client-common
+#Replaces: percona-postgresql-client-common, postgrsql-client-common
+Provides: postgresql-client-common, percona-postgresql-client-common
 Description: manager for multiple PostgreSQL client versions
  The postgresql-client-common package provides a structure under which
  multiple versions of PostgreSQL client programs may be installed at

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,9 @@
 else
 	FLAVOR := default
 endif
-SUPPORTED_VERSIONS := 12
+SUPPORTED_VERSIONS := 11
 DEFAULT_VER := $(lastword $(SUPPORTED_VERSIONS))
-DEFAULT_VER := 12
+DEFAULT_VER := 11
 LIBREADLINE := $(shell dpkg-query -W --showformat '$${Status} $${Package}\n' 'libreadline[0-9]'| sed -n '/ installed / {s/^.* //; p}'|sort -ru | head -n1)
 
 #py2#PYTHON2_PACKAGE=percona-postgresql-plpython-$v

## percona-postgresql-common 221

=== debian/changelog ===
percona-postgresql-common (221) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 221

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Wed, 14 Oct 2020 09:52:22 +0000

percona-postgresql-common (221) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 14 Oct 2020 09:50:06 +0000

=== debian/control ===
--- 
+++ 
@@ -61,7 +61,6 @@
 Recommends:
  lsb-release,
  ${readline:Recommends},
-#Replaces: percona-postgresql-client-common, postgrsql-client-common
 Provides: postgresql-client-common, percona-postgresql-client-common
 Description: manager for multiple PostgreSQL client versions
  The postgresql-client-common package provides a structure under which
@@ -204,3 +203,4 @@
  triggers, user-defined types and functions, outer joins, multiversion
  concurrency control.  Graphical user interfaces and bindings for many
  programming languages are available as well.
+

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,9 @@
 else
 	FLAVOR := default
 endif
-SUPPORTED_VERSIONS := 11
+SUPPORTED_VERSIONS := 13
 DEFAULT_VER := $(lastword $(SUPPORTED_VERSIONS))
-DEFAULT_VER := 11
+DEFAULT_VER := 13
 LIBREADLINE := $(shell dpkg-query -W --showformat '$${Status} $${Package}\n' 'libreadline[0-9]'| sed -n '/ installed / {s/^.* //; p}'|sort -ru | head -n1)
 
 #py2#PYTHON2_PACKAGE=percona-postgresql-plpython-$v
@@ -46,3 +46,4 @@
 	dh_gencontrol -ppercona-postgresql-client-common -- -Vpgdg:Depends="$(PGDG_DEPENDS)" -Vreadline:Recommends=$(LIBREADLINE)
 
 	dh_gencontrol --remaining-packages
+

## percona-postgresql-common 223

=== debian/changelog ===
percona-postgresql-common (223) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 223

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Wed, 02 Dec 2020 21:35:51 +0000

percona-postgresql-common (223) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 02 Dec 2020 21:33:27 +0000

=== debian/control ===
--- 
+++ 
@@ -203,4 +203,3 @@
  triggers, user-defined types and functions, outer joins, multiversion
  concurrency control.  Graphical user interfaces and bindings for many
  programming languages are available as well.
-

## percona-postgresql-common 225

=== debian/changelog ===
percona-postgresql-common (225) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 225

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Tue, 02 Mar 2021 01:30:32 +0000

percona-postgresql-common (225) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 02 Mar 2021 01:28:28 +0000

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,9 @@
 else
 	FLAVOR := default
 endif
-SUPPORTED_VERSIONS := 13
+SUPPORTED_VERSIONS := 12
 DEFAULT_VER := $(lastword $(SUPPORTED_VERSIONS))
-DEFAULT_VER := 13
+DEFAULT_VER := 12
 LIBREADLINE := $(shell dpkg-query -W --showformat '$${Status} $${Package}\n' 'libreadline[0-9]'| sed -n '/ installed / {s/^.* //; p}'|sort -ru | head -n1)
 
 #py2#PYTHON2_PACKAGE=percona-postgresql-plpython-$v

## percona-postgresql-common 226

=== debian/changelog ===
percona-postgresql-common (226) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 226

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Wed, 19 May 2021 12:13:31 +0000

percona-postgresql-common (226) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 19 May 2021 12:13:25 +0000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Depends:
  adduser,
  debconf (>= 0.5.00) | debconf-2.0,
+ libjson-perl,
  lsb-base (>= 3.0-3),
  perl (>= 5.14),
  percona-postgresql-client-common (= ${source:Version}),
@@ -22,8 +23,6 @@
 Recommends:
  e2fsprogs,
  logrotate,
-Suggests:
- libjson-perl,
 Breaks:
  postgresql-9.1 (<< 9.1.1-3~),
  systemd (<< 204),
@@ -203,3 +202,4 @@
  triggers, user-defined types and functions, outer joins, multiversion
  concurrency control.  Graphical user interfaces and bindings for many
  programming languages are available as well.
+

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,9 @@
 else
 	FLAVOR := default
 endif
-SUPPORTED_VERSIONS := 12
+SUPPORTED_VERSIONS := 11
 DEFAULT_VER := $(lastword $(SUPPORTED_VERSIONS))
-DEFAULT_VER := 12
+DEFAULT_VER := 11
 LIBREADLINE := $(shell dpkg-query -W --showformat '$${Status} $${Package}\n' 'libreadline[0-9]'| sed -n '/ installed / {s/^.* //; p}'|sort -ru | head -n1)
 
 #py2#PYTHON2_PACKAGE=percona-postgresql-plpython-$v

## percona-postgresql-common 230

=== debian/changelog ===
percona-postgresql-common (230) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 230

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 09 Dec 2021 10:28:40 +0000

percona-postgresql-common (230) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 09 Dec 2021 10:26:23 +0000

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
ifneq ($(findstring bpo,$(VERSION)),)
	FLAVOR := debian-backports
else ifneq ($(findstring pgdg,$(VERSION)),)
	FLAVOR := pgdg
	# for apt.postgresql.org builds, pull in the repository key package
	PGDG_DEPENDS := pgdg-keyring
else
	FLAVOR := default
endif
SUPPORTED_VERSIONS := 12
DEFAULT_VER := 12
LIBREADLINE := $(shell dpkg-query -W --showformat '$${Status} $${Package}\n' 'libreadline[0-9]'| sed -n '/ installed / {s/^.* //; p}'|sort -ru | head -n1)

#py2#PYTHON2_PACKAGE=postgresql-plpython-$v

%:
	dh $@

override_dh_auto_configure:
	@echo "### Building percona-postgresql-common flavor $(FLAVOR)"
	@echo "### Supported PostgreSQL versions: $(SUPPORTED_VERSIONS) (default version: $(DEFAULT_VER))"

# do not (re)start postgresql.service on postgresql-common install/upgrades
override_dh_installinit:
	dh_installinit -ppostgresql-common --name=postgresql -u'defaults 19 21' --no-start
override_dh_installsystemd:
	dh_installsystemd --no-start

override_dh_gencontrol:
	dh_gencontrol -ppercona-postgresql-server-dev-all -- -Vserver-dev-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),percona-postgresql-server-dev-$v,)"

	# the versionless metapackages need to have version numbers which match
	# the server version, not the p-common version
	dh_gencontrol -ppercona-postgresql -ppercona-postgresql-client -ppercona-postgresql-doc -ppercona-postgresql-contrib -ppercona-postgresql-all -- \
                -Vdefault-version="$(DEFAULT_VER)" -v'$${source:Version}' \
                -Vpostgresql-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),percona-postgresql-contrib-$v,percona-postgresql-plperl-$v,$(if $(filter 8.% 9.% 10 11, $v), $(PYTHON2_PACKAGE)),percona-postgresql-plpython3-$v,percona-postgresql-pltcl-$v,)"

	dh_gencontrol -ppostgresql-client-common -- -Vpgdg:Depends="$(PGDG_DEPENDS)" -Vreadline:Recommends=$(LIBREADLINE)

	dh_gencontrol --remaining-packages

## percona-postgresql-common 237

=== debian/changelog ===
percona-postgresql-common (237) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 237

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 04 Apr 2022 15:53:41 +0000

percona-postgresql-common (237) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 04 Apr 2022 15:53:35 +0000

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 else
 	FLAVOR := default
 endif
-SUPPORTED_VERSIONS := 12
-DEFAULT_VER := 12
+SUPPORTED_VERSIONS := 14
+DEFAULT_VER := 14
 LIBREADLINE := $(shell dpkg-query -W --showformat '$${Status} $${Package}\n' 'libreadline[0-9]'| sed -n '/ installed / {s/^.* //; p}'|sort -ru | head -n1)
 
 #py2#PYTHON2_PACKAGE=postgresql-plpython-$v
@@ -41,4 +41,3 @@
 	dh_gencontrol -ppostgresql-client-common -- -Vpgdg:Depends="$(PGDG_DEPENDS)" -Vreadline:Recommends=$(LIBREADLINE)
 
 	dh_gencontrol --remaining-packages
-

## percona-postgresql-common 241

=== debian/changelog ===
percona-postgresql-common (241) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 241

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Sun, 29 May 2022 20:11:28 +0000

percona-postgresql-common (241) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Sun, 29 May 2022 20:09:05 +0000

=== debian/rules ===
--- 
+++ 
@@ -10,14 +10,17 @@
 else
 	FLAVOR := default
 endif
-SUPPORTED_VERSIONS := 14
-DEFAULT_VER := 14
+SUPPORTED_VERSIONS := 12
+DEFAULT_VER := 12
 LIBREADLINE := $(shell dpkg-query -W --showformat '$${Status} $${Package}\n' 'libreadline[0-9]'| sed -n '/ installed / {s/^.* //; p}'|sort -ru | head -n1)
 
 #py2#PYTHON2_PACKAGE=postgresql-plpython-$v
 
 %:
 	dh $@
+
+override_dh_builddeb:
+	dh_builddeb -- -Zgzip
 
 override_dh_auto_configure:
 	@echo "### Building percona-postgresql-common flavor $(FLAVOR)"
@@ -41,3 +44,4 @@
 	dh_gencontrol -ppostgresql-client-common -- -Vpgdg:Depends="$(PGDG_DEPENDS)" -Vreadline:Recommends=$(LIBREADLINE)
 
 	dh_gencontrol --remaining-packages
+

## percona-postgresql-common 247

=== debian/changelog ===
percona-postgresql-common (247) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 247

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Tue, 07 Mar 2023 00:34:51 +0000

percona-postgresql-common (247) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 07 Mar 2023 00:32:32 +0000

## percona-postgresql-common 250

=== debian/changelog ===
percona-postgresql-common (250) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 250

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Wed, 07 Jun 2023 16:23:30 +0000

percona-postgresql-common (250) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 07 Jun 2023 16:21:03 +0000

## percona-postgresql-common 252

=== debian/changelog ===
percona-postgresql-common (252) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 252

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 17 Aug 2023 05:33:38 +0000

percona-postgresql-common (252) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 17 Aug 2023 05:31:05 +0000

## percona-postgresql-common 253

=== debian/changelog ===
percona-postgresql-common (253) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 253

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Wed, 13 Sep 2023 19:48:27 +0000

percona-postgresql-common (253) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 13 Sep 2023 19:46:07 +0000

## percona-postgresql-common 256

=== debian/changelog ===
percona-postgresql-common (256) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 256

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Fri, 24 Nov 2023 10:41:29 +0000

percona-postgresql-common (256) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 24 Nov 2023 10:39:02 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
ifneq ($(findstring bpo,$(DEB_VERSION)),)
	FLAVOR := debian-backports
else ifneq ($(findstring pgdg,$(DEB_VERSION)),)
	FLAVOR := pgdg
	# for apt.postgresql.org builds, pull in the repository key package
	PGDG_DEPENDS := pgdg-keyring
else
	FLAVOR := default
endif
SUPPORTED_VERSIONS := 11
DEFAULT_VER := 11

#py2#PYTHON2_PACKAGE=postgresql-plpython-$v

%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_auto_configure:
	@echo "### Building percona-postgresql-common flavor $(FLAVOR)"
	@echo "### Supported PostgreSQL versions: $(SUPPORTED_VERSIONS) (default version: $(DEFAULT_VER))"

# do not (re)start postgresql.service on postgresql-common install/upgrades
override_dh_installinit:
	dh_installinit -ppostgresql-common --name=postgresql -u'defaults 19 21' --no-start
override_dh_installsystemd:
	dh_installsystemd --no-start

override_dh_gencontrol:
	dh_gencontrol -ppercona-postgresql-server-dev-all -- -Vserver-dev-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),percona-postgresql-server-dev-$v,)"

	# the versionless metapackages need to have version numbers which match
	# the server version, not the p-common version
	dh_gencontrol -ppercona-postgresql -ppercona-postgresql-client -ppercona-postgresql-doc -ppercona-postgresql-contrib -ppercona-postgresql-all -- \
		-Vdefault-version="$(DEFAULT_VER)" -v'$${source:Version}' \
		-Vpostgresql-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),percona-postgresql-contrib-$v,percona-postgresql-plperl-$v,$(if $(filter 8.% 9.% 10 11, $v), $(PYTHON2_PACKAGE)),percona-postgresql-plpython3-$v,percona-postgresql-pltcl-$v,)"

	dh_gencontrol -ppostgresql-client-common -- \
		-Vpgdg:Depends="$(PGDG_DEPENDS)"

	dh_gencontrol -ppercona-postgresql-all -- \
		-Vpostgresql-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),percona-postgresql-contrib-$v,percona-postgresql-plperl-$v,$(if $(filter 8.% 9.% 10 11, $v), $(PYTHON2_PACKAGE)),percona-postgresql-plpython3-$v,percona-postgresql-pltcl-$v,)"

	dh_gencontrol --remaining-packages

## percona-postgresql-common 259

=== debian/changelog ===
percona-postgresql-common (259) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 259

 -- root <root@d7fecebc907d>  Mon, 13 May 2024 06:59:51 +0000

percona-postgresql-common (259) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 13 May 2024 06:57:46 +0000

## percona-postgresql-common 261

=== debian/changelog ===
percona-postgresql-common (261) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 261

 -- root <root@7fb794abe9cd>  Tue, 30 Jul 2024 10:49:35 +0000

percona-postgresql-common (261) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 30 Jul 2024 10:43:07 +0000

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,20 @@
 Package: percona-postgresql-common
 Architecture: all
 Multi-Arch: foreign
+Pre-Depends: postgresql-common (= ${binary:Version}),
+Description: Virtual package to satisfy dependencies
+
+Package: postgresql-common
+Architecture: all
+Multi-Arch: foreign
 Depends:
  adduser,
  debconf (>= 0.5.00) | debconf-2.0,
  libjson-perl,
  lsb-base (>= 3.0-3),
  perl (>= 5.14),
- percona-postgresql-client-common (= ${source:Version}),
+ percona-postgresql-client-common | postgresql-client-common,
+ percona-postgresql-common,
  ssl-cert (>= 1.0.11),
  ucf,
  ${misc:Depends},
@@ -29,11 +36,13 @@
 # pg_buildext moved pg-s-d-all in 204
  postgresql-server-dev-all (<< 204),
  percona-postgresql-server-dev-all (<< 204),
+Provides:
+ postgresql-common, percona-postgresql-common
 Replaces:
  postgresql-server-dev-all (<< 204),
  percona-postgresql-server-dev-all (<< 204),
-Provides:
- postgresql-common, percona-postgresql-common
+ postgresql-common
+Conflicts: postgresql-common
 Description: PostgreSQL database-cluster manager
  The postgresql-common package provides a structure under which
  multiple versions of PostgreSQL may be installed and/or multiple
@@ -50,16 +59,18 @@
  outer joins, multiversion concurrency control, and user-defined types
  and functions.
 
-Package: percona-postgresql-client-common
+Package: postgresql-client-common
 Architecture: all
 Multi-Arch: foreign
 Depends:
  netbase,
+ postgresql-client-common,
  ${misc:Depends},
  ${pgdg:Depends},
 Recommends:
  lsb-release,
  ${readline:Recommends},
+Replaces: percona-postgresql-client-common
 Provides: postgresql-client-common, percona-postgresql-client-common
 Description: manager for multiple PostgreSQL client versions
  The postgresql-client-common package provides a structure under which
@@ -123,10 +134,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- percona-postgresql-client-${default-version},
+ percona-postgresql-client-${default-version} | postgresql-client-${default-version},
  ${misc:Depends},
 Provides: postgresql-client
-Replaces: postgresql-client, percona-postgresql-client
 Description: front-end programs for PostgreSQL (supported version)
  This metapackage always depends on the currently supported database
  client package for PostgreSQL.
@@ -144,10 +154,9 @@
 Multi-Arch: foreign
 Section: doc
 Depends:
- percona-postgresql-doc-${default-version},
+ percona-postgresql-doc-${default-version} | postgresql-doc-${default-version},
  ${misc:Depends},
 Provides: postgresql-doc
-Replaces: postgresql-doc, percona-postgresql-doc
 Description: documentation for the PostgreSQL database management system
  This metapackage always depends on the currently supported PostgreSQL
  database documentation package.
@@ -202,4 +211,3 @@
  triggers, user-defined types and functions, outer joins, multiversion
  concurrency control.  Graphical user interfaces and bindings for many
  programming languages are available as well.
-

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,8 @@
 else
 	FLAVOR := default
 endif
-SUPPORTED_VERSIONS := 11
-DEFAULT_VER := 11
+SUPPORTED_VERSIONS := 16
+DEFAULT_VER := 16
 
 #py2#PYTHON2_PACKAGE=postgresql-plpython-$v

## percona-postgresql-common 264

=== debian/changelog ===
percona-postgresql-common (264) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 264

 -- root <root@c6189c906600>  Mon, 30 Sep 2024 08:05:48 +0000

percona-postgresql-common (264) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 30 Sep 2024 08:02:20 +0000

## percona-postgresql-common 266

=== debian/changelog ===
percona-postgresql-common (266) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 266

 -- root <root@0b9bb8ba01e1>  Tue, 19 Nov 2024 09:07:04 +0000

percona-postgresql-common (266) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 19 Nov 2024 09:06:03 +0000

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,8 @@
 else
 	FLAVOR := default
 endif
-SUPPORTED_VERSIONS := 16
-DEFAULT_VER := 16
+SUPPORTED_VERSIONS := 12
+DEFAULT_VER := 12
 
 #py2#PYTHON2_PACKAGE=postgresql-plpython-$v

## percona-postgresql-common 267

=== debian/changelog ===
percona-postgresql-common (267) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 267

 -- root <root@19959650b8f4>  Thu, 13 Feb 2025 16:11:58 +0000

percona-postgresql-common (267) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 13 Feb 2025 16:10:42 +0000

## percona-postgresql-common 277

=== debian/changelog ===
percona-postgresql-common (277) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 277

 -- root <root@f64c600657d3>  Fri, 30 May 2025 10:49:11 +0000

percona-postgresql-common (277) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 30 May 2025 10:42:44 +0000

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,8 @@
 else
 	FLAVOR := default
 endif
-SUPPORTED_VERSIONS := 12
-DEFAULT_VER := 12
+SUPPORTED_VERSIONS := 13
+DEFAULT_VER := 13
 
 #py2#PYTHON2_PACKAGE=postgresql-plpython-$v

## percona-postgresql-common 280

=== debian/changelog ===
percona-postgresql-common (280) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 280

 -- root <root@6f2ae7e39d92>  Tue, 19 Aug 2025 16:29:52 +0000

percona-postgresql-common (280) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 19 Aug 2025 16:22:27 +0000

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,50 @@
 Package: percona-postgresql-common
 Architecture: all
 Multi-Arch: foreign
-Pre-Depends: postgresql-common (= ${binary:Version}),
+Depends: postgresql-common (= ${binary:Version})
 Description: Virtual package to satisfy dependencies
+
+Package: percona-postgresql-common-dev
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ libipc-run-perl,
+ ${misc:Depends}
+Breaks:
+ postgresql-client-common (<< 277),
+ percona-postgresql-client-common (<< 277),
+ postgresql-common (<< 277),
+ percona-postgresql-common (<< 277),
+ postgresql-server-dev-all (<< 277),
+ percona-postgresql-server-dev-all (<< 277)
+Replaces:
+ postgresql-client-common (<< 277),
+ percona-postgresql-client-common (<< 277),
+ postgresql-common (<< 277),
+ percona-postgresql-common (<< 277),
+ postgresql-server-dev-all (<< 277),
+ percona-postgresql-server-dev-all (<< 277)
+Provides: postgresql-common-dev
+Description: extension build tool for multiple PostgreSQL versions
+ The postgresql-server-dev-all package provides the pg_buildext script for
+ simplifying packaging of a PostgreSQL extension supporting multiple major
+ versions of the product, and dh_make_pgxs which builds a template debian/
+ source package directory based on pg_buildext.
+ .
+ PostgreSQL is a fully featured object-relational database management
+ system. It supports a large part of the SQL standard and is designed
+ to be extensible by users in many aspects. Its features include ACID
+ transactions, foreign keys, views, sequences, subqueries, triggers,
+ outer joins, multiversion concurrency control, and user-defined types
+ and functions.
+
+
+
+#Package: percona-postgresql-common-dev
+#Architecture: all
+#Multi-Arch: foreign
+#Pre-Depends: postgresql-common-dev (= ${binary:Version}),
+#Description: Virtual package to satisfy dependencies
 
 Package: postgresql-common
 Architecture: all
@@ -24,18 +66,19 @@
  perl (>= 5.14),
  percona-postgresql-client-common | postgresql-client-common,
  percona-postgresql-common,
+ percona-postgresql-common-dev,
  ssl-cert (>= 1.0.11),
  ucf,
- ${misc:Depends},
+ ${misc:Depends}
 Recommends:
  e2fsprogs,
- logrotate,
+ logrotate
 Breaks:
  postgresql-9.1 (<< 9.1.1-3~),
  systemd (<< 204),
 # pg_buildext moved pg-s-d-all in 204
  postgresql-server-dev-all (<< 204),
- percona-postgresql-server-dev-all (<< 204),
+ percona-postgresql-server-dev-all (<< 204)
 Provides:
  postgresql-common, percona-postgresql-common
 Replaces:
@@ -66,10 +109,10 @@
  netbase,
  postgresql-client-common,
  ${misc:Depends},
- ${pgdg:Depends},
+ ${pgdg:Depends}
 Recommends:
  lsb-release,
- ${readline:Recommends},
+ ${readline:Recommends}
 Replaces: percona-postgresql-client-common
 Provides: postgresql-client-common, percona-postgresql-client-common
 Description: manager for multiple PostgreSQL client versions
@@ -92,8 +135,9 @@
 Depends:
  make,
  percona-postgresql-common (>= 117~),
+ percona-postgresql-common-dev,
  ${misc:Depends},
- ${server-dev-all-depends},
+ ${server-dev-all-depends}
 Provides: postgresql-server-dev-all
 Replaces: postgresql-server-dev-all, percona-postgresql-server-dev-all
 Description: extension build tool for multiple PostgreSQL versions
@@ -113,9 +157,9 @@
 Architecture: all
 Depends:
  percona-postgresql-${default-version},
- ${misc:Depends},
+ ${misc:Depends}
 Suggests:
- percona-postgresql-doc,
+ percona-postgresql-doc
 Provides: postgresql
 Replaces: postgresql, percona-postgresql
 Description: object-relational SQL database (supported version)
@@ -135,7 +179,7 @@
 Multi-Arch: foreign
 Depends:
  percona-postgresql-client-${default-version} | postgresql-client-${default-version},
- ${misc:Depends},
+ ${misc:Depends}
 Provides: postgresql-client
 Description: front-end programs for PostgreSQL (supported version)
  This metapackage always depends on the currently supported database
@@ -155,7 +199,7 @@
 Section: doc
 Depends:
  percona-postgresql-doc-${default-version} | postgresql-doc-${default-version},
- ${misc:Depends},
+ ${misc:Depends}
 Provides: postgresql-doc
 Description: documentation for the PostgreSQL database management system
  This metapackage always depends on the currently supported PostgreSQL
@@ -173,7 +217,7 @@
 Architecture: all
 Depends:
  percona-postgresql-contrib-${default-version},
- ${misc:Depends},
+ ${misc:Depends}
 Provides: postgresql-contrib
 Replaces: postgresql-contrib, percona-postgresql-contrib
 Description: additional facilities for PostgreSQL (supported version)
@@ -195,7 +239,7 @@
  libpq-dev,
  percona-postgresql-server-dev-all,
  ${postgresql-all-depends},
- ${misc:Depends},
+ ${misc:Depends}
 Provides: postgresql-all
 Replaces: postgresql-all, percona-postgresql-all
 Description: metapackage depending on all PostgreSQL server packages

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,8 @@
 else
 	FLAVOR := default
 endif
-SUPPORTED_VERSIONS := 13
-DEFAULT_VER := 13
+SUPPORTED_VERSIONS := 15
+DEFAULT_VER := 15
 
 #py2#PYTHON2_PACKAGE=postgresql-plpython-$v

=== dh_make_pgxs/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs

override_dh_installdocs:
	dh_installdocs --all README.*

# if the package does not support building from subdirectories, use
# `--with pgxs_loop` above.
#
# change the way tests are run:
# override_dh_pgxs_test:
#	+pg_buildext installcheck . . postgresql-%v-@EXTNAME@

# classic `pg_buildext` interface:

#include /usr/share/postgresql-common/pgxs_debian_control.mk
#
#override_dh_auto_build:
#	+pg_buildext build build-%v
#
#override_dh_auto_test:
#	# nothing to do here, see debian/tests/* instead
#
#override_dh_auto_install:
#	+pg_buildext install build-%v postgresql-%v-@EXTNAME@
#
#override_dh_installdocs:
#	dh_installdocs --all README.*
#
#override_dh_auto_clean:
#	+pg_buildext clean build-%v
#
#%:
#	dh $@
